open Otypes
(*	Règles pour créer une heuristique : 
	- Heuristique visant à supprimer un monôme : s'assurer qu'on prenne bien en compte les annotations contenues dans la map mapNKeep
*)
	type prophecy = ASTerm.BasicZTerm.term list;;
	
	type t = Polynomial.PolyZ.t -> env -> mode -> Polynomial.VariablesInt.t MapMonomial.t -> (AnnotedVar.t list) MapMonomial.t -> Pattern.t -> (prophecy * Polynomial.VariablesInt.t MapMonomial.t * (AnnotedVar.t list) MapMonomial.t * Polynomial.PolyZ.t)

	val default : t
	
	val varCte : t
		
	val greatestItv : t

	val unboundedVar : t		

	val linearMonomial : t

	val monomialCte : t
	
	val centerZero : t	

	val translation : t
	
	val screwed : t	
	
	val firstUnbounded : t

	val nulScalar : t
		
	val of_pattern : t

